Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.svg
Interface SVGRendererContextConstants

All Superinterfaces:
  RendererContextConstants

All Known Implementing Classes:
  SVGSVGHandler

public interface SVGRendererContextConstants
extends RendererContextConstants

Defines a number of standard constants (keys) for use by the RendererContext class.

Field Summary
`static java.lang.String` | `SVG_DOCUMENT` The SVG document that this image is being drawn into.
`static java.lang.String` | `SVG_PAGE_G` The current SVG page g element.

Fields inherited from interface org.apache.fop.render.RendererContextConstants
`FOREIGN_ATTRIBUTES, HANDLER_CONFIGURATION, HEIGHT, OUTPUT_STREAM, PAGE_VIEWPORT, WIDTH, XPOS, YPOS`

Field Detail

### SVG_DOCUMENT

    public static final java.lang.String SVG_DOCUMENT

  The SVG document that this image is being drawn into.

  See Also:
    Constant Field Values

### SVG_PAGE_G

    public static final java.lang.String SVG_PAGE_G

  The current SVG page g element.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.